import numpy as np
from sklearn.preprocessing import OneHotEncoder

X = np.genfromtxt( "lista.csv", dtype=str, delimiter=',', usecols=0 )
X2 = np.genfromtxt( "lista.csv", delimiter=',', usecols=1 )
X2 = X2.reshape( -1, 1 )

X = X.reshape( -1, 1 )
enc = OneHotEncoder(handle_unknown='ignore')
enc.fit( X )

print( "Lista de categorias" )
print( enc.categories_ )

D = enc.transform( X ).toarray()

S = np.concatenate( ( D, X2 ), axis=1 )
print( S )

